﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HLWebOKBAdminPlugin.Helpers {
  public static class HtmlHelpers {

    public static string Truncate(this HtmlHelper helper, string input, int length) {
      //takes a string and adds "..." if length > max length 

      if (input == null)
        return "";

      if (input.Length <= length) {
        return input;
      }//if
      else {
        return input.Substring(0, length) + "...";
      }//else
    }//Truncate

  }//HtmlHelpers
}